Jun 262012
 


# -*- coding: utf-8 -*
import rhinoscriptsyntax as rs

#線分の選択
obj = rs.GetObject(message = "select line",filter=4)

#線分の始点終点の座標を抽出
startpoint = rs.CurveStartPoint(obj)
endpoint = rs.CurveEndPoint(obj)

#始点から終点までをベクトルで表現
Vec = rs.VectorCreate(endpoint,startpoint)
d = rs.VectorLength(Vec)

#距離を100にする(設定に依存する)
Vec = rs.VectorScale(Vec, 100/d)

#描画する線の終点を定める
newendpoint = startpoint + Vec

#距離が100の線を描く
rs.AddLine(startpoint,newendpoint)

(作成:泉暁大)

 Leave a Reply

(required)

(required)

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>